<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.OutgoingContentsMapper">

  <resultMap id="outgoingContentsMap" type="digital.laboratory.platform.reagent.entity.OutgoingContents">
    <id property="outgoingContentsId" column="outgoing_contents_id"/>
    <result property="deliveryRegistrationFormId" column="delivery_registration_form_id"/>
    <result property="outboundUse" column="outbound_use"/>
    <result property="quantity" column="quantity"/>
    <result property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="reagentConsumableType" column="reagent_consumable_type"/>
    <result property="remarks" column="remarks"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>

  </resultMap>
</mapper>
